org.eclipse.jgit.api

## Enum CreateBranchCommand.SetupUpstreamMode

- java.lang.Object
- - java.lang.Enum<CreateBranchCommand.SetupUpstreamMode>
  - - org.eclipse.jgit.api.CreateBranchCommand.SetupUpstreamMode

All Implemented Interfaces:
  Serializable, Comparable<CreateBranchCommand.SetupUpstreamMode>

Enclosing class:
  CreateBranchCommand

    public static enum CreateBranchCommand.SetupUpstreamMode
    extends Enum<CreateBranchCommand.SetupUpstreamMode>

The modes available for setting up the upstream configuration (corresponding to the --set-upstream, --track, --no-track options

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NOTRACK` Corresponds to the --no-track option
`SET_UPSTREAM` Corresponds to the --set-upstream option
`TRACK` Corresponds to the --track option

### Method Summary

All Methods Static Methods Concrete Methods
`static CreateBranchCommand.SetupUpstreamMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CreateBranchCommand.SetupUpstreamMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TRACK

    public static final CreateBranchCommand.SetupUpstreamMode TRACK

Corresponds to the --track option

#### NOTRACK

    public static final CreateBranchCommand.SetupUpstreamMode NOTRACK

Corresponds to the --no-track option

#### SET_UPSTREAM

    public static final CreateBranchCommand.SetupUpstreamMode SET_UPSTREAM

Corresponds to the --set-upstream option

### Method Detail

#### values

    public static CreateBranchCommand.SetupUpstreamMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CreateBranchCommand.SetupUpstreamMode c : CreateBranchCommand.SetupUpstreamMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CreateBranchCommand.SetupUpstreamMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null